{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.RIGHTCLICKOPERATION"
  },
  "caption" : "示例实体03",
  "codeName" : "IBIZSample0003F4TreeExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003F4TreeExpView.json",
  "name" : "IBIZSample0003F4TreeExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeExpView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "treeexpbar",
      "name" : "TREEEXPBAR",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup57"
  },
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA@topdata",
    "realTitle" : "IBIZSAMPLE0003编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0003.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA@curdata",
    "realTitle" : "IBIZSAMPLE0003编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0003.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "F4TreeExpViewtreeexpbar",
    "controlType" : "TREEEXPBAR",
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
    "name" : "treeexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:topdata",
      "realTitle" : "IBIZSAMPLE0003表格视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0003.GRIDVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003GridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    }, {
      "name" : "EXPITEM:curdata",
      "realTitle" : "IBIZSAMPLE0003表格视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0003.GRIDVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003GridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "treeexpbar"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
      "logicTag" : "treeexpbar",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_treeexpbar",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Tree04",
      "controlType" : "TREEVIEW",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create"
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003/PSTREEVIEWS/Tree04.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch"
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load"
      },
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "树视图（右键操作）",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
      },
      "getPSAppViewLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTrigger" : "CTRLEVENT",
        "logicType" : "APPVIEWUIACTION",
        "name" : "topdata_cm_deuiaction1_click",
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "topdata_cm_deuiaction1"
        },
        "getPSViewCtrlName" : "topdata_cm"
      } ],
      "getPSAppViewUIActions" : [ {
        "name" : "topdata_cm_deuiaction1",
        "getPSUIAction" : {
          "modelref" : true,
          "id" : "RefreshAll"
        },
        "xDataControlName" : "treeexpbar_tree"
      } ],
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "树视图处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "treeexpbar_tree"
      },
      "getPSControls" : [ {
        "codeName" : "F4TreeExpViewtopdata_cm",
        "controlType" : "CONTEXTMENU",
        "hookEventNames" : [ "CLICK" ],
        "logicName" : "右键-编辑",
        "name" : "topdata_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
        },
        "getPSControlLogics" : [ {
          "eventArg" : "deuiaction1",
          "eventNames" : "CLICK",
          "logicTag" : "topdata_cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "topdata_cm_deuiaction1_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "topdata_cm_deuiaction1_click"
          }
        } ],
        "getPSControlParam" : {
          "id" : "topdata_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "刷新全部",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "topdata_cm_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "caption" : "刷新",
            "codeName" : "RefreshAll",
            "fullCodeName" : "RefreshAll",
            "name" : "树界面_刷新全部操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "TREEVIEW_REFRESHALLACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "RefreshAll",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新全部",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "e9e8370e8e72cebca69053d3cc660c32",
        "modeltype" : "PSDETOOLBAR"
      } ],
      "getPSDETreeNodeRSs" : [ {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "curdata"
        },
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "topdata"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "topdata"
        },
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "root"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "curdata"
        },
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "curdata"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      } ],
      "getPSDETreeNodes" : [ {
        "counterMode" : 0,
        "getIdPSAppDEField" : {
          "name" : "IBIZSAMPLE0003ID",
          "codeName" : "IBIZSAMPLE0003Id"
        },
        "maxSize" : -1,
        "name" : "顶级节点",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003GridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "topdata",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchTopData"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
        },
        "getPSDEContextMenu" : {
          "codeName" : "F4TreeExpViewtopdata_cm",
          "controlType" : "CONTEXTMENU",
          "hookEventNames" : [ "CLICK" ],
          "logicName" : "右键-编辑",
          "name" : "topdata_cm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
          },
          "getPSControlLogics" : [ {
            "eventArg" : "deuiaction1",
            "eventNames" : "CLICK",
            "logicTag" : "topdata_cm",
            "logicType" : "APPVIEWLOGIC",
            "name" : "topdata_cm_deuiaction1_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "topdata_cm_deuiaction1_click"
            }
          } ],
          "getPSControlParam" : {
            "id" : "topdata_cm"
          },
          "getPSDEToolbarItems" : [ {
            "caption" : "刷新全部",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "topdata_cm_deuiaction1"
            },
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "getPSUIAction" : {
              "caption" : "刷新",
              "codeName" : "RefreshAll",
              "fullCodeName" : "RefreshAll",
              "name" : "树界面_刷新全部操作",
              "getPSSysImage" : {
                "glyph" : "xf021@FontAwesome",
                "cssClass" : "fa fa-refresh"
              },
              "predefinedType" : "TREEVIEW_REFRESHALLACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "RefreshAll",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "刷新全部",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "modelid" : "e9e8370e8e72cebca69053d3cc660c32",
          "modeltype" : "PSDETOOLBAR"
        },
        "getPSDETreeNodeRVs" : [ {
          "name" : "EDITDATA",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003EditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSNavigateContexts" : [ {
          "key" : "CONTEXTPARAM1",
          "name" : "CONTEXTPARAM1",
          "value" : "memo",
          "rawValue" : false
        } ],
        "getPSNavigateParams" : [ {
          "key" : "memo",
          "name" : "memo",
          "value" : "memo",
          "rawValue" : false
        }, {
          "key" : "n_pibizsample0003id_eq",
          "name" : "n_pibizsample0003id_eq",
          "value" : "nodeid",
          "rawValue" : false
        } ],
        "getPSSysImage" : {
          "glyph" : "xf0ca@FontAwesome",
          "cssClass" : "fa fa-list-ul"
        },
        "getTextPSAppDEField" : {
          "name" : "IBIZSAMPLE0003NAME",
          "codeName" : "IBIZSAMPLE0003Name"
        },
        "treeNodeType" : "DE",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "topdata"
      }, {
        "counterMode" : 0,
        "getIdPSAppDEField" : {
          "name" : "IBIZSAMPLE0003ID",
          "codeName" : "IBIZSAMPLE0003Id"
        },
        "maxSize" : -1,
        "name" : "下级节点",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003GridView.json",
          "viewType" : "DEGRIDVIEW"
        },
        "nodeType" : "curdata",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchCurData"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
        },
        "getPSDETreeNodeRVs" : [ {
          "name" : "EDITDATA",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003EditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSNavigateParams" : [ {
          "key" : "n_pibizsample0003id_eq",
          "name" : "n_pibizsample0003id_eq",
          "value" : "nodeid",
          "rawValue" : false
        } ],
        "getPSSysImage" : {
          "glyph" : "xf151@FontAwesome",
          "cssClass" : "fa fa-toggle-up"
        },
        "getTextPSAppDEField" : {
          "name" : "IBIZSAMPLE0003NAME",
          "codeName" : "IBIZSAMPLE0003Name"
        },
        "treeNodeType" : "DE",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "curdata"
      }, {
        "counterMode" : 0,
        "name" : "root",
        "nodeType" : "root",
        "nodeValue" : "root",
        "text" : "root",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : false,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : true,
        "selectFirstOnly" : false,
        "selected" : false
      } ],
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove"
      },
      "treeGridMode" : 0,
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update"
      },
      "enableRootSelect" : false,
      "outputIconDefault" : true,
      "rootVisible" : false,
      "name" : "treeexpbar_tree",
      "modelid" : "c231ac459de0397892b3ba25b965bbe7",
      "modeltype" : "PSDETREEVIEW"
    } ],
    "xDataControlName" : "treeexpbar_tree",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "1510a1fb1a34b2c8e29ca40fa83a3992_treeexpbar",
    "modeltype" : "PSEXPBAR"
  } ],
  "getPSDEViewCodeName" : "F4TreeExpView",
  "getPSDEViewId" : "844e1922ae72e91c243711b441353bd6",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "示例实体03树导航视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0003.F4TREEEXPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEEXPVIEW",
  "enableDP" : true,
  "enableFilter" : false,
  "enableQuickSearch" : true,
  "showCaptionBar" : false,
  "showDataInfoBar" : true,
  "modelid" : "1510a1fb1a34b2c8e29ca40fa83a3992",
  "modeltype" : "PSAPPDEVIEW"
}